@import "../fonts/fonts.css";

:root {
    --intro-btn-width: calc(var(--font-size) * 24.2);
    --intro-btn-height: calc(var(--font-size) * 3);
}

@media (max-width: 576px) {
    :root {
        --intro-btn-width: calc(var(--font-size) * 24.2);
        --intro-btn-height: calc(var(--font-size) * 5);
    }
}

.frame {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    /*width: var(--game-width);*/
    height: var(--app-height);
    overflow: hidden;
    background-color: #313131;
    background-image: url('../img/bg-decor.svg');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: bottom;
}

.frame-wrapper {
    position: relative;
    height: 100%;
    width: 100%;
    /*max-height: 250px;
    max-width: 1300px;*/
}

/*.frame-intro__title div:nth-of-type(1) {
    font-family: 'Upheaval Pro', sans-serif;
    font-size: 90px;
    line-height: 100%;
}*/

.frame-intro {
    position: relative;
    width: 100%;
    height: 100%;
}

.frame-intro__title {
    position: absolute;
    top: calc(var(--font-size) + 6px);
    display: flex;
    gap: 20px;
    justify-content: center;
    width: 100%;
}

.frame-intro__title svg {
    /*width: 495px;*/
    /*height: 116px;*/
    width: calc(var(--font-size) * 24.75);
}

.frame-intro__title div {
    font-family: 'Dela Gothic One', sans-serif;
    /*font-size: 30px;*/
    font-size: calc(var(--font-size) * 1.5);
    line-height: 100%;
    color: #4CAF50;
}

.frame-intro__btn-wrapper {
    position: absolute;
    top: calc(var(--font-size) * 8.2);
    /*bottom: calc(var(--font-size) + 8px);*/
    left: 50%;
    height: var(--intro-btn-height);
    transform: translateX(-50%);
}

.game-portrait .frame-intro__btn-wrapper {
    top: 60%;
}

@keyframes frame-btn-anim {
  from {
      transform: translate(-50%, -50%) scale(1);
      /*width: var(--intro-btn-width);
      height: var(--intro-btn-height);*/
  }
  to {
      transform: translate(-50%, -50%) scale(1.1);
      /*width: calc(var(--intro-btn-width) + 38px);
      height: calc(var(--intro-btn-height) + 8px);*/
  }
}

.frame-intro__btn {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
    width: var(--intro-btn-width);
    font-family: 'Upheaval Pro', sans-serif;
    font-size: calc(var(--font-size) * 2.2);
    line-height: var(--intro-btn-height);
    color: #fff;
    cursor: pointer;
    transition: background-color 0.4s ease;
}

.frame-intro__btn:after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
    width: var(--intro-btn-width);
    height: var(--intro-btn-height);
    background-color: #F92FA8;
    border: 1px solid #F92FA8;
    border-radius: 6px;
    z-index: -1;
    animation-name: frame-btn-anim;
    animation-duration: 1.2s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

.frame-intro__btn:hover {
    background-color: #313131;
}


.onboarding {
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    scale: 0;
    z-index: 10;
    cursor: pointer;
}

.onboarding-block {
    position: absolute;
    top: 60%;
    left: 50%;
    width: 266px;
    height: 86px;
    transform: translate(-50%, -50%);
}

.onboarding__arrow {
    position: absolute;
    top: 50%;
    display: flex;
    align-items: center;
    height: 6px;
    width: 103px;
    background-color: #fff;
}

.onboarding__arrow_left,
.onboarding__arrow_left svg{
    left: 0;
}

.onboarding__arrow_right,
.onboarding__arrow_right svg{
    right: 0;
}

.onboarding__arrow svg {
    position: absolute;
    width: 14px;
    height: 22px;
}

.onboarding__pointer {
    position: absolute;
    top: 40px;
    left: calc(50% + 10px);
    transform: translateX(-50%);
}

.onboarding__pointer svg {
    width: 68px;
    height: 79px;
}

/* Question */

.question,
.result {
    position: absolute;
    inset: 0;
    height: 100%;
    width: 100%;
    display: none;
    opacity: 0;
    z-index: 1;
}

.result {
    align-items: center;
    justify-content: center;
}

.question-choise,
.question-main,
.question-certificate {
    display: none;
    opacity: 0;
}

.question-certificate {
    position: relative;
    align-items: center;
    justify-content: center;
    gap: calc(var(--font-size) * 2.85);
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
}

.question-certificate-block {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(var(--font-size) * 40.35);
    height: calc(var(--font-size) * 9.2);
    background-color: #fff;
    border-top-left-radius: calc(var(--font-size) * 3);
}

.question-certificate-block:before {
    content: '';
    position: absolute;
    inset: 10px;
    width: calc(var(--font-size) * 40.35 - 20px);
    height: calc(var(--font-size) * 9.2 - 20px);
    border: 2px solid #C0C0C0;
    border-top-left-radius: calc(var(--font-size) * 3 - 10px);
    box-sizing: border-box;
}

.question-certificate-block:after {
    content: 'cправка';
    position: absolute;
    top: 10px;
    right: 10px;
    bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(var(--font-size) * 2.1);
    height: calc(var(--font-size) * 9.2 - 20px);
    font-family: 'Inter';
    font-weight: 600;
    font-size: calc(var(--font-size) - 2px);
    /*letter-spacing: calc(var(--font-size) * 0.4);*/
    color: #C0C0C0;
    writing-mode: vertical-rl;
    text-orientation: upright;
    text-transform: uppercase;
    border: 2px solid #C0C0C0;
    box-sizing: border-box;
}


.question-certificate-block__wrapper {
    display: flex;
    gap: calc(var(--font-size) * 1.5);
    width: calc(var(--font-size) * 33.75);
    /*height: 87px;*/
}

.question-certificate_big {
    justify-content: flex-start;
}

.question-certificate_big .question-certificate-block {
    height: calc(var(--font-size) * 10.75);
    width: calc(var(--font-size) * 47.55);
    /*margin-left: calc(var(--font-size) * 4);*/
}

.question-certificate_big .question-certificate-block:before {
    height: calc(var(--font-size) * 10.75 - 20px);
    width: calc(var(--font-size) * 47.55 - 20px);
}

.question-certificate_big .question-certificate-block:after {
    height: calc(var(--font-size) * 10.75 - 20px);
}

.question-certificate_big .question-certificate-block__wrapper {
    width: calc(var(--font-size) * 40.95);
}

.question-certificate_big .question-certificate-btn-next {
    position: absolute;
    right: calc(var(--font-size) * 4);
}

.question-certificate-block__title {
    font-family: 'Upheaval Pro', sans-serif;
    font-size: calc(var(--font-size) * 3);
    line-height: calc(var(--font-size) * 2);
    color: #F92FA8;
}

.question-certificate-block__text {
    font-family: 'Inter';
    font-weight: 600;
    font-size: calc(var(--font-size) * 1.2);
    line-height: 100%;
    color: #313131;
}

.question-certificate-block__text span {
    background-color: #B6E394;
}

.question-certificate-btn-next,
.result-btn-repiat {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    width: calc(var(--font-size) * 11.95);
    height: calc(var(--font-size) * 2.45);
    font-family: 'Upheaval Pro', sans-serif;
    font-size: calc(var(--font-size) * 1.5);
    line-height: 100%;
    color: #fff;
    background-color: #F92FA8;
    border: 1px solid #D92E94;
    border-radius: 6px;
    cursor: pointer;
    transition: background-color 0.4s ease;
}

.result-btn-repiat {
    position: absolute;
    top: 45%;
    right: calc(var(--font-size) * 5);
    gap: 10px;
}

.question-certificate-btn-next:hover,
.result-btn-repiat:hover {
    background-color: #313131;
}

.question-certificate-btn-next:after,
.result-btn-repiat:after {
    content: '';
    position: relative;
    width: 25px;
    height: 10px;
    background-image: url('../img/arrow.svg');
    background-repeat: no-repeat;
}

.question-btn{
  position: absolute;
  display:flex; align-items:center; justify-content:center;gap: calc(var(--font-size) * 0.5);
  width: calc(var(--font-size) * 13.5);
  height:100%;
  /*padding-right: calc(var(--font-size) * 2.5);*/
  font-family:'Upheaval Pro',sans-serif;
  font-size: calc(var(--font-size) * 2.5);
  line-height: calc(var(--font-size) * 2);
  color:#fff;
  overflow:hidden;
  backface-visibility:hidden;
  will-change: transform;
  transform: translateZ(0);
  contain: paint;
  box-sizing: border-box;
  cursor: pointer;
  transition: all 0.4 ease;
}

.question-btn .question-btn__text {
    will-change: transform;
    position: absolute;
    display: flex;
    align-items: center;
    transition: transform .45s ease;
}

.question-btn_click .question-btn__text {
    transform: translateX(calc(calc(var(--font-size) * 2.5) / 2));
}

.question-btn .question-btn__text::before{
  content:"";
  position: absolute;
  left: calc(calc(var(--font-size) * 2.5 + 10px) * -1);
  height: calc(var(--font-size) * 2.5);
  width: calc(var(--font-size) * 2.5);
  transform: scale(0);
  /*transform-origin:left center;*/
  opacity:1;
  background-repeat:no-repeat;
  transition: transform .45s ease;
  will-change: transform;
  pointer-events:none;
}

.question-btn_click .question-btn__text::before{
  transform: scale(1);
}

.question-btn_yes {
    left: -270px;
    background-color: #4CAF50;
    border: 1px solid #4CAF50;
    border-left: none;
    border-bottom: none;
    border-top-right-radius: 100px;
}

.question-btn_no {
    right: -270px;
    background-color: #F92FA8;
    border: 1px solid #F92FA8;
    border-right: none;
    border-bottom: none;
    border-top-left-radius: 100px;
}

.question-btn_no br.mob {
    display: none;
}

.question-btn_skip {
    color: #C0C0C0;
    background-color: #313131;
    border-color: #C0C0C0;
}

.question-btn_click[data-correct] .question-btn__text:before {
    background-image: url('../img/yes.svg');
}

.question-btn_click .question-btn__text:before {
    background-image: url('../img/no.svg');
}

.question-ask,
.result-count-container {
    position: absolute;
    top: 130%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-3deg);
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(var(--font-size) * 24);
    height: calc(var(--font-size) * 4.5);
    font-family: 'Dela Gothic One', sans-serif;
    font-size: calc(var(--font-size) * 1.5);
    line-height: 90%;
    text-align: center;
    color: #f92fa8;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 10px 10px 20px 0px rgba(0, 0, 0, 0.25);
    transition: transform 0.2s ease, opacity 0.2 ease;
}

.result-count-container {
    gap: 10px;
}

.result-count {
    font-size: calc(var(--font-size) * 2);
}

.result {
    height: 100%;
}

.result-btn-share {
    position: absolute;
    top: 45%;
    right: calc(var(--font-size) * 2);
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(var(--font-size) * 2.4);
    height: calc(var(--font-size) * 2.4);
    background-color: #fff;
    border: 1px solid #f92fa8;
    border-radius: 6px;
    cursor: pointer;
}

.result-btn-share svg {
    width: calc(var(--font-size) * 1.4);
    height: calc(var(--font-size) * 1.65);
}

.share-text {
    position: absolute;
    top: -130px;
    left: 50%;
    font-family: 'Dela Gothic One', sans-serif;
    font-size: calc(var(--font-size) * 1.5);
    line-height: 90%;
    text-align: center;
    color: #4CAF50;
    transform: translateX(-50%);
}

.share-btns {
    scale: 0;
    opacity: 0;
}

/*
 ---
*/

.game-portrait .frame {
    background-size: cover;
    background-image: url('../img/bg-mob.svg');
}

.game-portrait .frame-intro__title {
    flex-direction: column;
    align-items: center;
    gap: 5px;
    zoom: 1!important;
}

.game-portrait .frame-intro__title div {
    text-align: center;
}

.game-portrait .frame-intro__title div br:nth-of-type(2) {
    display: none;
}

.game-portrait .frame-intro__btn {
    font-size: 30px;
}

.game-portrait .frame-intro__title svg path:nth-of-type(2) {
    transform: translateX(-8%);
}

.game-portrait .onboarding-block {
    zoom: 0.6;
    top: 70%;
}

.game-portrait .question-ask,
.game-portrait .result-count-container {
    /*width: 165px;*/
    height: 86px;
    font-size: 24px;
    flex-direction: column;
}

.game-portrait .question-choise .question-ask {
    font-size: 24px;
}

.game-portrait .question-main .question-ask {
    font-size: 14px;
}

.game-portrait .question-btn {
    bottom: 0;
    height: 126px;
    width: 104px;
    align-items: flex-end;
    font-size: 24px;
    padding: 10px;
}

.game-portrait .question-btn.question-btn_click {
    padding-top: 80px;
    align-items: center;
}

.game-portrait .question-btn_yes.question-btn_click {
    border-top-right-radius: 150px;
}

.game-portrait .question-btn_no.question-btn_click {
    border-top-left-radius: 150px;
}

.game-portrait .question-btn_no br {
    display: none;
}

.game-portrait .question-btn_no br.mob {
    display: inline-block;
}

.game-portrait .mob-d-none {
    display: none;
}

.game-portrait .question-btn_yes {
    justify-content: flex-start;
}

.game-portrait .question-btn_no {
    justify-content: flex-end;
}

.game-portrait .question-btn_click:before {
    width: 25px;
    height: 25px;
}

.game-portrait .question-btn_yes.question-btn_click .question-btn__text {
    transform: translateX(calc(calc(var(--font-size) * 2.5) + 10px));
}

.game-portrait .question-btn_no.question-btn_click .question-btn__text {
    transform: none;
}

.game-portrait .question-certificate {
    flex-direction: column;
    padding: 10px;
    gap: 10px;
    box-sizing: border-box;
}

.game-portrait .question-certificate-block {
    width: 100%;
    height: 100%;
    align-items: flex-start;
    padding-top: 30px;
}

.question-certificate_big .question-certificate-block__inner {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    height: calc(var(--font-size) * 10.75);
    left: calc((var(--font-size) * 3.75) * -1);
}

.game-portrait .question-certificate_big .question-certificate-block__inner {
    left: auto;
}

.game-portrait .question-certificate_big .question-certificate-block__inner:before {
    content: '';
    position: absolute;
    bottom: 0;
    height: 20px;
    width: 100%;
    background-image: linear-gradient(transparent, #fff 10px);
    z-index: 1;
}

.game-portrait .question-certificate_big .question-certificate-block__inner:after {
    content: '';
    position: absolute;
    top: 0;
    height: 20px;
    width: calc(100% - 50px);
    background-image: linear-gradient( #fff 10px, transparent);
    z-index: 1;
}

.game-portrait .question-certificate-block:before {
    width: auto;
    height: auto;
    pointer-events: none;
    z-index: 2;
}

.game-portrait .question-certificate-block:after {
    width: 42px;
    height: calc(100% - 20px);
    right: 10px;
    font-size: 18px;
    pointer-events: none;
    z-index: 2;
}

.game-portrait .question-certificate-block__wrapper {
    flex-direction: column;
    width: calc(100% - 40px);
    padding-right: 62px;
    padding-left: 20px;
    gap: 10px;
    text-align: right;
}

.game-portrait .question-certificate_big .question-certificate-block__wrapper {
    padding: 30px 62px 20px 20px;
    overflow: scroll;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
}

.game-portrait .question-certificate-btn-next {
    min-height: 49px;
    width: 100%;
    font-size: 30px;
}

.game-portrait .question-certificate_big .question-certificate-btn-next {
    position: relative;
    right: auto;
}

.game-portrait .question-certificate-block__title {
    font-size: 40px;
    line-height: 25px;
}

.game-portrait .question-certificate-block__text {
    font-size: 16px;
    line-height: 1.2;
    letter-spacing: -0.7px;
}

.game-portrait .question-certificate_big .question-certificate-block {
    margin-left: 0;
    padding-top: 0;
    flex-grow: 1;

}

.game-portrait .result-btn-share {
    width: 49px;
    height: 49px;
    right: 10px;
}

.game-portrait .result-btn-share svg {
    width: 28px;
    height: 33px;
}

.game-portrait .result-btn-repiat {
    right: calc(100% - (calc(100% - 49px - 30px)) - 10px);
    width: calc(100% - 49px - 30px);
    height: 49px;
    font-size: 30px;
}

.game-portrait .result-btn-share,
.game-portrait .result-btn-repiat {
    top: 80%;
}

.game-portrait .share-text {
    font-size: 20px;
}

/* Share */
.ya-share2__list.ya-share2__list_direction_horizontal > .ya-share2__item {
    margin: 2px var(--font-size) 0 0!important;
}

.ya-share2__list.ya-share2__list_direction_horizontal > .ya-share2__item:last-child {
    margin-right: 0!important;
}

.ya-share2__container_size_l .ya-share2__badge .ya-share2__icon {
    height: 54px!important;
    width: 54px!important;
}

.game-portrait .ya-share2__container_size_l .ya-share2__badge .ya-share2__icon {
    height: 48px!important;
    width: 48px!important;
}

.ya-share2__item_service_messenger .ya-share2__badge,
.ya-share2__item_service_messenger .ya-share2__mobile-popup-badge,
.ya-share2__item_service_vkontakte .ya-share2__badge,
.ya-share2__item_service_vkontakte .ya-share2__mobile-popup-badge,
.ya-share2__item_service_odnoklassniki .ya-share2__badge,
.ya-share2__item_service_odnoklassniki .ya-share2__mobile-popup-badge,
.ya-share2__item_service_telegram .ya-share2__badge,
.ya-share2__item_service_telegram .ya-share2__mobile-popup-badge,
.ya-share2__item_service_whatsapp .ya-share2__badge,
.ya-share2__item_service_whatsapp .ya-share2__mobile-popup-badge {
    background-color: transparent!important;
    border: 1px solid rgba(249, 246, 243, 0.5);
    transition: all 0.2s ease;
}

.ya-share2__item_service_messenger .ya-share2__badge:hover,
.ya-share2__item_service_messenger .ya-share2__mobile-popup-badge:hover {
    background-color: rgba(151, 151, 151, 1)!important;
    border: 1px solid rgba(151, 151, 151, 1);
}

.ya-share2__item_service_vkontakte .ya-share2__badge:hover,
.ya-share2__item_service_vkontakte .ya-share2__mobile-popup-badge:hover {
    background-color: rgba(38, 136, 243, 1)!important;
    border: 1px solid rgba(38, 136, 243, 1);
}

.ya-share2__item_service_odnoklassniki .ya-share2__badge:hover,
.ya-share2__item_service_odnoklassniki .ya-share2__mobile-popup-badge:hover {
    background-color: rgba(236, 131, 7, 1)!important;
    border: 1px solid rgba(236, 131, 7, 1);
}

.ya-share2__item_service_telegram .ya-share2__badge:hover,
.ya-share2__item_service_telegram .ya-share2__mobile-popup-badge:hover {
    background: linear-gradient(180deg, rgba(52, 184, 250, 1) 0%, rgba(5, 130, 193, 1) 100%)!important;
    border: 1px solid rgba(5, 130, 193, 1);
}

.ya-share2__item_service_whatsapp .ya-share2__badge:hover,
.ya-share2__item_service_whatsapp .ya-share2__mobile-popup-badge:hover {
    background-color: rgba(38, 211, 102, 1)!important;
    border: 1px solid rgba(38, 211, 102, 1);
}
